package net.sf.jasperreports.charts;

import net.sf.jasperreports.engine.JRChartDataset;
import net.sf.jasperreports.engine.JRExpression;
import net.sf.jasperreports.engine.JRHyperlink;

public interface JRHighLowDataset extends JRChartDataset {
  JRExpression getSeriesExpression();
  
  JRExpression getDateExpression();
  
  JRExpression getHighExpression();
  
  JRExpression getLowExpression();
  
  JRExpression getOpenExpression();
  
  JRExpression getCloseExpression();
  
  JRExpression getVolumeExpression();
  
  JRHyperlink getItemHyperlink();
}
